=== settings/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)

DEPS = gtk+-2.0 hildon-1 dbus-1 gconf-2.0

LIBS = -lm `pkg-config --libs $(DEPS)`
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags $(DEPS)`
LDFLAGS =

PROG = advanced-systemui-settings

OBJS = main.o statusbar.o battery.o clock.o brightness.o wifi.o rbv_keys.o button_modes.o power_button.o device_lock.o ui.o alarm.o audio_lock.o services.o mce.o

all: $(PROG)
	strip $(PROG)

clean:
	rm -f $(PROG) *.o core

install: $(PROG)
	strip $(PROG)
	install -o root -g root -m 755 $(PROG) $(DESTDIR)/usr/bin/

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c *.h
statusbar.o: Makefile statusbar.c statusbar.h main.h
battery.o: Makefile battery.c battery.h main.h
clock.o: Makefile clock.c clock.h main.h
brightness.o: Makefile brightness.c brightness.h main.h
wifi.o: Makefile wifi.c wifi.h main.h
rbv_keys.o: Makefile rbv_keys.c rbv_keys.h main.h
button_modes.o: Makefile button_modes.c button_modes.h main.h
power_button.o: Makefile power_button.c power_button.h main.h
device_lock.o: Makefile device_lock.c device_lock.h main.h
ui.o: Makefile ui.c ui.h main.h
alarm.o: Makefile alarm.c alarm.h main.h
audio_lock.o: Makefile audio_lock.c audio_lock.h main.h
services.o: Makefile services.c services.h main.h
mce.o: Makefile mce.c mce.h main.h
