=== statusbar/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)

DEPS = gtk+-2.0 libosso hildon-1 libhildondesktop dbus-1 gconf-2.0

LIBS = `pkg-config --libs $(DEPS)` -lesd
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags $(DEPS)`
LDFLAGS =

PROGS = libasui-battery.so

OBJS = main.o config.o dbus.o battery.o bme.o cpu.o

all: $(PROGS)

clean:
	rm -f $(PROGS) *.o core

install: $(PROGS)
	install -o root -g root -m 644 libasui-*.so $(DESTDIR)/usr/lib/hildon-desktop/
	install -o root -g root -m 644 asui-*.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar/
	install -o root -g root -m 644 icons/* $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/

libasui-battery.so: $(OBJS)
	@echo "linking $@"
	@$(LD) -shared -o $@ $^ $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $<

main.o: Makefile main.c			main.h config.h dbus.h battery.h bme.h cpu.h
config.o: Makefile config.c		main.h config.h        battery.h bme.h cpu.h
dbus.o: Makefile dbus.c			main.h config.h dbus.h battery.h bme.h cpu.h
battery.o: Makefile battery.c	main.h          dbus.h battery.h
bme.o: Makefile bme.c			main.h          dbus.h           bme.h
cpu.o: Makefile cpu.c			main.h          dbus.h                 cpu.h
