=== debian/changelog ===
advanced-systemui (0.6.0) unstable; urgency=low

  * fix: battery widget on device lock keypad now updates immediately
  * fix: disable check_orientation() call when no rotation support to prevent segfault on window map
  * fix: a second long press on fullscreen clock will now turn screen blanking back on
  * fix: window now slides smoothly when dragging to unmap
  * fix: config string handling code no longer frees empty strings (appman and asui-settings should now be able to start ASUI)
  * statusbar wifi icon can be mirrored to the right side when bluetooth is off
  * setting to invert devlock keypad
  * convenience script now supports 'dit' and 'dis' commands to simplify download and install of asui and asui-settings test binaries
  * disable key and screen events while window is sliding on to or off of the screen
  * disable key and screen events after device code is entered until window is redrawn
  * statusbar setting to always play battery sounds
  * when device is locked a horizontal swipe on bar will blank screen and a vertical swipe down from the bar will lock&blank
  * battery widget now has a simple charging animation
  * service lights now have a darker halo
  * audio lock button
  * convenience script 'reload_ap' command to reload audio profiles
  * user-defined presets for devlock brightness toggle
  * preset buttons below brightness slider
  * asui-settings uses a timer so the reload config signal is only 1 second after the last change to prevent number editor widget from spamming ASUI
  * new install/upgrade notice to warn users of bugs and help new users

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Sat, 22 Oct 2011 07:28:48 -0600
