=== debian/control ===
Source: advanced-systemui
Section: user/utilities
Priority: extra
Maintainer: Brand Huntsman <brand.huntsman@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev, libxpm-dev, libxrandr-dev, libxrender-dev, libxft-dev, libdbus-1-dev, libgconf2-dev, libgtk2.0-dev, libhildondesktop-dev, libhildon1-dev, libosso-dev
Standards-Version: 2.0

Package: advanced-systemui
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}
Description: Replaces the SystemUI menu with large buttons
 to lock&blank, lock, blank, secure lock, toggle flight mode,
 reboot, shutdown and rotate screen. Also includes battery status,
 cpu governor selection, process viewer, volume and brightness
 controls, clock, flashlight, start/stop various services to
 conserve memory and toggle wifi, bluetooth and gps.
 .
 <URL:http://asui.garage.maemo.org>
XB-Maemo-Display-Name: Advanced SystemUI
XB-Maemo-Upgrade-Description: bug fixes and enhancements, audio lock button, brightness presets
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sECQ4VHvuBWXsAAANVSURBVEjHvZZBbrs4FMa/YINDEqWyVCUbs2HL
 BWBvabbd5C49QnuFXCFXYE8uMF2ywRuiSlajEMUCk1mUZPh3Og35SzNP8gLL
 5ie/5+97HuGOeHl5EQACAAKAAlA8Pz+rIXsp7osAQAwgAZB1c/8JSHSQ1T0Q
 AHDwPwW9UQ8AwJA63FpPftiUAEi01lEURSPOOcIwDABE3Xjrxl5KGQH4w/f9
 CMCDlHKfpun+x9T1ICsACSEkGJKabt11X/+E/wB9gQgAsNYWQ0C9deI72BUk
 pRRlWSZVVa16Otlwzjfr9TpL0/TbOqVpqtbrdcY53wDYdPtEVVWrsiwTKaX4
 BRSGYeD7fkIISbqpDEA2VJDduuyiL0JI4vt+0tX1E9RR47quY2OMqKpKlWWp
 hkL6sLIsVVVVyhgj6rqOAcRSSnE5UcAYCxzHCRhjylqrqqpSv6OXqqqUtVYx
 xlT3vwBA4ADAcrkUlFLhOI5o27aw1hZ5nhe/A8rzvLDWFm3bFo7jCEqpWC6X
 ggLAYrHAbDYDIQTj8VhNJhP1b8W/FWmaKimlAqBOpxMopX87w3K5HPof1TPT
 7JbXjcdjAMB0Or3bVIseUPW+h3ldWZb91N26woNTejqdYK3F4XD4vN673Q6H
 wwHGGByPR6G1Fheh3RtSSqG1FsfjURhjcDgcsNvtPkFlWaqmaVTbtspxnIAQ
 ElyEdm+EYRgQQgLHcYK2bVXTNKosS3XRUUEpzTzPywCAUhpzzuOvxjikVXDO
 Y0ppDACe52WU0gxAQbq7v396etp7nrenlM5d1537vv+gtZ5fWkSe5/uf0nVp
 FZzzxHXdOaX0zfO8zWw2y9brtRr95N7H4xFN02zf398LANs8z4u+vqSUoktx
 /Pj4GFBK48lkcrmVm75Xjr47vtZ6xRhb1XWdMMZUVVWF67pba23BOb+CtNaC
 EBLUdR1Pp9PAGCNc182MMRvO+abvleQbZe+jKBq5rru31s49z3s4n88RYywg
 hAjXda9d9nw+J5TS5Hw+R5TSvTHmz7ZtN1rr7evr69vNN0Oe50UYhgAA13WD
 pmniznSTX7qm4wCAapomG41G24+Pj2uKBz1OujooKWUBIDDGYLFYgFIq+oI2
 xqBpmmK3220ZY5uvNezHX1O3sq2x6Ii9AAAAAElFTkSuQmCC
